# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Software-License
Version:	0.103014
Release:	1.%{__distinit}%{__distvers}
Summary:	Package that provides templated software licenses
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Software-License/
Source0:	http://search.cpan.org/CPAN/authors/id/L/LE/LEONT/Software-License-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Data::Section)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(IO::Dir)
BuildRequires:	perl(Module::Load)
BuildRequires:	perl(parent)
BuildRequires:	perl(strict)
BuildRequires:	perl(Text::Template)
BuildRequires:	perl(utf8)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(Try::Tiny)
# Optional Tests
BuildRequires:	perl(CPAN::Meta) >= 2.120900
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Software::License::CCpack)
%endif
# Extra Tests
BuildRequires:	perl(Encode)
BuildRequires:	perl(Test::Pod) >= 1.41
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Software-License contains templates for common open source software licenses.

%prep
%setup -q -n Software-License-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%{perl_vendorlib}/Software/
%{_mandir}/man3/Software::License.3*
%{_mandir}/man3/Software::License::*.3*
%{_mandir}/man3/Software::LicenseUtils.3*

%changelog
* Wed Nov 28 2018 Paul Howarth <paul@city-fan.org> - 0.103014-1
- Update to 0.103014
  - Added SPDX license expression support

* Mon Oct 30 2017 Paul Howarth <paul@city-fan.org> - 0.103013-1
- Update to 0.103013
  - guess_license_from_pod() now knows about Software::License::CC0_1_0
  - Enable "v" as a version word
  - Improve FreeBSD (2-Clause) phrases
  - Added EUPL v1.1 and v1.2
- This release by LEONT → update source URL
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop workaround for building with Test::More < 0.88
  - perl(Software::License::CCpack) always available
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Mon Sep 26 2016 Paul Howarth <paul@city-fan.org> - 0.103012-3
- BR: perl-generators where available

* Sun Apr 24 2016 Paul Howarth <paul@city-fan.org> - 0.103012-1
- Update to 0.103012
  - Consider license names without parentheses when scanning text for license
  - When scanning text for license, put known substrings inside \b..\b
- Simplify find command using -delete
- Update patch for building with old Test::More versions

* Sun Jan 17 2016 Paul Howarth <paul@city-fan.org> - 0.103011-1
- Update to 0.103011
  - Do not load Sub::Install, since it isn't used!
  - Eliminate superfluous FULL STOP characters (".")
- Update patch for building with old Test::More versions

* Thu Sep 11 2014 Paul Howarth <paul@city-fan.org> - 0.103010-3
- Perl 5.20 rebuild

* Wed Aug 27 2014 Paul Howarth <paul@city-fan.org> - 0.103010-2
- Classify buildreqs by usage
- Use %%license where possible

* Sun Mar 30 2014 Paul Howarth <paul@city-fan.org> - 0.103010-1
- Update to 0.103010
  - Fix guess_license_from_pod's return on GPL licenses
- Drop support for old distributions prior to FC-5:
  - Drop patch for building with ExtUtils::MakeMaker < 6.30
  - Drop %%defattr, redundant since rpm 4.4
- Update patch for building with old Test::More versions

* Fri Feb 21 2014 Paul Howarth <paul@city-fan.org> - 0.103009-1
- Update to 0.103009
  - Updated FSF mailing address in license text for GFDL version 1.2, GPL
    versions 1 and 2, and LGPL 2.1
- Update patch for building with old Test::More versions

* Sun Nov 17 2013 Paul Howarth <paul@city-fan.org> - 0.103008-1
- Update to 0.103008
  - Faster!
  - Add new_from_short_name to LicenseUtils for spdx.org-style short names
  - Avoid double trailing dots in expanded licenses
  - Fix some errors in (3-clause) BSD license text
  - The 2-clause BSD ("FreeBSD") license no longer incorrectly puts "FreeBSD"
    as the owner in the license full text
- Update patch for building with old Test::More versions

* Sun Oct 27 2013 Paul Howarth <paul@city-fan.org> - 0.103007-1
- Update to 0.103007
  - Fix regex to allow guessing from meta things like perl_5
  - Replace 'use base' with 'use parent'
- BR: perl(Try::Tiny) for the test suite
- Update patch for building with old Test::More versions

* Mon Oct 21 2013 Paul Howarth <paul@city-fan.org> - 0.103006-1
- Update to 0.103006
  - Try harder to identify licenses from all installed License classes; this is
    an @INC-scanning change, so be vigilant
- Update patch for building with old Test::More versions

* Sat Dec  8 2012 Paul Howarth <paul@city-fan.org> - 0.103005-1
- Update to 0.103005
  - Add MPL 2.0
- BR: perl(File::Temp)
- Release tests moved to xt/
- Update patch for building with old Test::More versions

* Sun Jul  8 2012 Paul Howarth <paul@city-fan.org> - 0.103004-3
- Perl 5.16 rebuild

* Wed Mar  7 2012 Paul Howarth <paul@city-fan.org> - 0.103004-2
- Don't need to remove empty directories from buildroot
- Drop compatibility with distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Thu Nov  3 2011 Paul Howarth <paul@city-fan.org> - 0.103004-1
- Update to 0.103004
  - Update FSF's address (CPAN RT#69359)

* Tue Nov  1 2011 Paul Howarth <paul@city-fan.org> - 0.103003-1
- Update to 0.103003
  - Use more direct links to GFDL 1.2 and 1.3
- BR: perl(Carp)
- Update patches to apply cleanly

* Wed Jun 29 2011 Paul Howarth <paul@city-fan.org> - 0.103002-2
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun  2 2011 Paul Howarth <paul@city-fan.org> - 0.103002-1
- Update to 0.103002
  - Add GFDL 1.3
- Update patch for old ExtUtil::MakeMaker versions

* Thu Apr 28 2011 Paul Howarth <paul@city-fan.org> - 0.103001-1
- Update to 0.103001
  - Re-import text of GPL 1 and 2 to get new FSF address (CPAN RT#67795)
- Update patch for building with old Test::More versions

* Fri Apr  1 2011 Paul Howarth <paul@city-fan.org> - 0.103000-1
- Update to 0.103000
  - Improve method dependency chains
  - Add Custom license to stick the whole license in a file
- Nobody else likes macros for commands

* Sun Dec 12 2010 Paul Howarth <paul@city-fan.org> - 0.102341-1
- Update to 0.102341
  - Add note to Artistic 2 that it's GPL compatible

* Mon Aug 23 2010 Paul Howarth <paul@city-fan.org> - 0.102340-1
- Update to 0.102340
  - Add PostgreSQL

* Fri Aug 13 2010 Paul Howarth <paul@city-fan.org> - 0.102250-1
- Update to 0.102250
  - LGPL_3_0 now includes GPL_3 in its fulltext (CPAN RT #47135)
  - Alter the output of None to look a bit less repetitive

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> - 0.101600-2
- Rebuild for perl 5.12.1 in Rawhide

* Wed Jun  9 2010 Paul Howarth <paul@city-fan.org> - 0.101600-1
- Update to 0.101600
  - Artistic licenses' meta2_name should not have a trailing _0
  - Add the meta2_name method for META.json files in schema v2
  - Added the None and CC0_1_0 licenses for the far ends of the spectrum
  - Up the Test::More prereq
  - Add meta_name to almost all licenses, and add a test
- Enable RELEASE_TESTING and BR: perl(Test::Pod)

* Tue May 11 2010 Paul Howarth <paul@city-fan.org> - 0.012-5
- Fix dist tag for RHEL-6 Beta

* Thu Jan 28 2010 Paul Howarth <paul@city-fan.org> - 0.012-4
- Import from Fedora

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.012-3
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.012-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Daniel P. Berrange <berrange@redhat.com> - 0.012-1
- Update to 0.012 release

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.008-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Sep 20 2008 Daniel P. Berrange <berrange@redhat.com> - 0.008-3
- Remove explicit requires that duplicate automatic perl deps

* Sat Sep 06 2008 Daniel P. Berrange <berrange@redhat.com> - 0.008-2
- Fix description
- Add missing Test::More BR

* Fri Sep 05 2008 Daniel P. Berrange <berrange@redhat.com> - 0.008-1
- Specfile autogenerated by cpanspec 1.77
